%define name	acid
%define version	0.9.6b23
%define release	1mdk
%define webadminroot /var/www/html/admin

Summary:	Analysis Console for Intrusion Databases
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://acidlab.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-config.patch.bz2
Requires:	webserver mysqlserver php-common mod_php php-mysql php-sockets snort ADOdb JpGraph => 1.8
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
Prefix:         %{webadminroot}

%description
The Analysis Console for Intrusion Databases (ACID) is a PHP-based
analysis engine to search and process a database of security
events generated by various IDSes, firewalls, and network
monitoring tools

%prep

%setup -q -n acid
%patch0 -p0

%build

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{webadminroot}/%{name}
cp -aRf * %{buildroot}%{webadminroot}/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc CHANGELOG CREDITS README README.mssql TODO
%doc create_acid_tbls_mssql.sql create_acid_tbls_mysql.sql create_acid_tbls_pgsql.sql
%config(noreplace) %attr(0644,apache,apache) %{webadminroot}/%{name}/acid_conf.php
%{webadminroot}/%{name}/*

%changelog
* Thu Jan 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6b23-1mdk
- 0.9.6b23
- rediff P0
- requires JpGraph instead of PHPlot now

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6b21-2mdk
- build release

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6b21-1mdk
- initial cooker contrib
- install in common and relocatable %%{webadminroot}/ directory
